> ## Documentation Index
> Fetch the complete documentation index at: https://juridiqsoftware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar transação



## OpenAPI

````yaml https://api.juridiq.com.br/api-docs/client/openapi.json post /financial/transactions
openapi: 3.1.0
info:
  title: Juridiq API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.juridiq.com.br
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /financial/transactions:
    post:
      tags:
        - Financial
      summary: Criar transação
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                description:
                  type: string
                  description: Descrição
                type:
                  type: string
                  enum:
                    - incoming
                    - outcoming
                  description: Tipo
                value:
                  type: number
                  description: Valor
                date:
                  type: string
                  description: Data
                officeId:
                  type: string
                  description: ID do escritório
                personId:
                  type: string
                  nullable: true
                  description: ID da pessoa
                billId:
                  type: string
                  description: ID da conta
                categoryId:
                  type: string
                  nullable: true
                  description: ID da categoria
                lawSuitId:
                  type: string
                  nullable: true
                  description: ID do processo
                isPaid:
                  type: boolean
                  description: Pago
                installmentCount:
                  type: number
                  description: Quantidade de parcelas
                repetitionTransactionType:
                  type: string
                  description: Tipo de repetição da transação
                repetitionType:
                  type: string
                  description: Tipo de repetição
                annotations:
                  type: string
                  description: Anotações
                partialValue:
                  anyOf:
                    - type: string
                    - type: number
                  description: Valor parcial
                paymentDate:
                  type: string
                  description: Data de pagamento
              required:
                - description
                - type
                - value
                - date
                - officeId
              additionalProperties: false
        required: true
      responses:
        '201':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    description: ID da transação
                  transactionId:
                    type: string
                    format: uuid
                    description: ID da transação
                  description:
                    type: string
                    description: Descrição
                  type:
                    type: string
                    description: incoming ou outcoming
                  value:
                    type: number
                    description: Valor
                  partialValue:
                    type: number
                    nullable: true
                    description: Valor parcial
                  date:
                    anyOf:
                      - type: string
                      - type: string
                        format: date-time
                    description: Data
                  paymentDate:
                    anyOf:
                      - type: string
                      - type: string
                        format: date-time
                    nullable: true
                    description: Data de pagamento
                  officeId:
                    type: string
                    format: uuid
                    description: ID do escritório
                  personId:
                    type: string
                    format: uuid
                    nullable: true
                    description: ID da pessoa
                  billId:
                    type: string
                    format: uuid
                    nullable: true
                    description: ID da conta
                  categoryId:
                    type: string
                    format: uuid
                    nullable: true
                    description: ID da categoria
                  lawSuitId:
                    type: string
                    format: uuid
                    nullable: true
                    description: ID do processo
                  isPaid:
                    type: boolean
                    description: Pago
                  isFixed:
                    type: boolean
                    description: Fixa
                  hasScheduling:
                    type: boolean
                    description: Possui parcelamento
                  installmentLabel:
                    type: string
                    nullable: true
                    description: Rótulo da parcela
                  annotations:
                    type: string
                    nullable: true
                    description: Anotações
                  billName:
                    type: string
                    description: Nome da conta
                  billIcon:
                    type: string
                    description: Ícone da conta
                  billIsPrivate:
                    type: boolean
                    description: Conta privada
                  categoryName:
                    type: string
                    nullable: true
                    description: Nome da categoria
                  categoryColor:
                    type: string
                    nullable: true
                    description: Cor da categoria
                  categoryIcon:
                    type: string
                    nullable: true
                    description: Ícone da categoria
                  personName:
                    type: string
                    nullable: true
                    description: Nome da pessoa
                  lawSuitProcessNumber:
                    type: string
                    nullable: true
                    description: Número do processo
                  isExternalGateway:
                    type: boolean
                    description: Gateway externo
                  gateway:
                    type: object
                    properties:
                      kind:
                        type: string
                        enum:
                          - PAYMENT
                          - INSTALLMENT
                          - SUBSCRIPTION
                      value:
                        type: number
                      createdAt:
                        type: string
                      status:
                        type: string
                      dueDate:
                        type: string
                      paymentDate:
                        type: string
                        nullable: true
                      installmentNumber:
                        type: number
                        nullable: true
                      discount:
                        type: object
                        properties:
                          value:
                            type: number
                          dueDateLimitDays:
                            type: integer
                            exclusiveMinimum: true
                            minimum: 0
                          type:
                            type: string
                            enum:
                              - FIXED
                              - PERCENTAGE
                        additionalProperties: false
                      fine:
                        type: object
                        properties:
                          value:
                            type: number
                          type:
                            type: string
                            enum:
                              - FIXED
                              - PERCENTAGE
                        additionalProperties: false
                      interest:
                        type: object
                        properties:
                          value:
                            type: number
                        additionalProperties: false
                      invoiceUrl:
                        type: string
                      gatewayPaymentUrl:
                        type: string
                    required:
                      - kind
                      - value
                      - createdAt
                      - status
                      - dueDate
                      - paymentDate
                      - installmentNumber
                      - discount
                      - fine
                      - interest
                      - invoiceUrl
                      - gatewayPaymentUrl
                    additionalProperties: false
                    nullable: true
                    description: Dados do gateway
                required:
                  - description
                  - type
                  - value
                  - date
                  - officeId
                  - isPaid
                additionalProperties: true
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  translateMessage:
                    type: string
                required:
                  - message
                  - statusCode
                  - translateMessage
                additionalProperties: false
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  translateMessage:
                    type: string
                required:
                  - message
                  - statusCode
                  - translateMessage
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-juridiq-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-juridiq-api-key.

````